%define upstream_name    Template-Alloy
%define upstream_version 1.020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    TT2/3, HT, HTE, Tmpl, and Velocity Engine
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Template/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5) >= 1.0.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%{?perl_default_filter}

%description
"An alloy is a homogeneous mixture of two or more elements"
(http://en.wikipedia.org/wiki/Alloy).

Template::Alloy represents the mixing of features and capabilities from all
of the major mini-language based template systems (support for
non-mini-language based systems will happen eventually). With
Template::Alloy you can use your favorite template interface and syntax and
get features from each of the other major template systems. And
Template::Alloy is fast - whether your using mod_perl, cgi, or running from
the commandline. There is even Template::Alloy::XS for getting a little
more speed when that is necessary.

Template::Alloy happened by accident (accidentally on purpose). The
Template::Alloy (Alloy hereafter) was originally a part of the CGI::Ex
suite that performed simple variable interpolation. It used TT2 style
variables in TT2 style tags "[% foo.bar %]". That was all the original
Template::Alloy did. This was fine and dandy for a couple of years. In
winter of 2005-2006 Alloy was revamped to add a few features. One thing led
to another and soon Alloy provided for most of the features of TT2 as well
as some from TT3. Template::Alloy now provides a full-featured
implementation of the Template::Toolkit language.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README samples
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.20.0-9.mga8
+ Revision: 1497266
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.20.0-8.mga7
+ Revision: 1271555
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.20.0-7.mga6
+ Revision: 1033843
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.20.0-6.mga6
+ Revision: 941825
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.20.0-5.mga5
+ Revision: 748943
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 1.20.0-4.mga5
+ Revision: 732788
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 1.20.0-3.mga5
+ Revision: 686332
- Mageia 5 Mass Rebuild

* Sun Oct 20 2013 umeabot <umeabot> 1.20.0-2.mga4
+ Revision: 536770
- Mageia 4 Mass Rebuild

* Tue Sep 24 2013 shlomif <shlomif> 1.20.0-1.mga4
+ Revision: 485484
- update to 1.020

* Sat Aug 24 2013 sander85 <sander85> 1.19.0-1.mga4
+ Revision: 471189
- update to 1.019

* Fri Aug 23 2013 shlomif <shlomif> 1.18.0-1.mga4
+ Revision: 470160
- update to 1.018

* Sun Jan 13 2013 umeabot <umeabot> 1.16.0-3.mga3
+ Revision: 373119
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Dec 25 2012 shlomif <shlomif> 1.16.0-2.mga3
+ Revision: 335193
- New release to rebuild - the package seems absent.

* Tue Dec 25 2012 shlomif <shlomif> 1.16.0-1.mga3
+ Revision: 335136
- imported package perl-Template-Alloy


* Tue Dec 25 2012 cpan2dist 1.016-1mga
- initial mageia release, generated with cpan2dist
